MCP Tools Reference: oracledatabase.googleapis.com

Tool: list_db_servers

List Db Servers in a Google Cloud project in the given location for a given Cloud Exadata Infrastructure. For creation of a Cloud Vm Cluster, we need to know the Db Servers in a Cloud Exadata Infrastructure. This API will be used by the MCP service to get the Db Servers.

The following code sample shows how to use curl to call the list_db_servers MCP tool.

Curl Request
curl --location 'https://oracledatabase.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_db_servers",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

The request for DbServer.List.

ListDbServersRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string
}
Fields
parent

string

Required. The parent value for database server in the following format: projects/{project}/locations/{location}/cloudExadataInfrastructures/{cloudExadataInfrastructure}.

pageSize

integer

Optional. The maximum number of items to return. If unspecified, a maximum of 50 db servers will be returned. The maximum value is 1000; values above 1000 will be reset to 1000.

pageToken

string

Optional. A token identifying a page of results the server should return.

Output Schema

The response for DbServer.List.

ListDbServersResponse

JSON representation
{
  "dbServers": [
    {
      object (DbServer)
    }
  ],
  "nextPageToken": string
}
Fields
dbServers[]

object (DbServer)

The list of database servers.

nextPageToken

string

A token identifying a page of results the server should return.

DbServer

JSON representation
{
  "name": string,
  "displayName": string,
  "properties": {
    object (DbServerProperties)
  }
}
Fields
name

string

Identifier. The name of the database server resource with the format: projects/{project}/locations/{location}/cloudExadataInfrastructures/{cloud_exadata_infrastructure}/dbServers/{db_server}

displayName

string

Optional. User friendly name for this resource.

properties

object (DbServerProperties)

Optional. Various properties of the database server.

DbServerProperties

JSON representation
{
  "ocid": string,
  "ocpuCount": integer,
  "maxOcpuCount": integer,
  "memorySizeGb": integer,
  "maxMemorySizeGb": integer,
  "dbNodeStorageSizeGb": integer,
  "maxDbNodeStorageSizeGb": integer,
  "vmCount": integer,
  "state": enum (State),
  "dbNodeIds": [
    string
  ]
}
Fields
ocid

string

Output only. OCID of database server.

ocpuCount

integer

Optional. OCPU count per database.

maxOcpuCount

integer

Optional. Maximum OCPU count per database.

memorySizeGb

integer

Optional. Memory allocated in GBs.

maxMemorySizeGb

integer

Optional. Maximum memory allocated in GBs.

dbNodeStorageSizeGb

integer

Optional. Local storage per VM.

maxDbNodeStorageSizeGb

integer

Optional. Maximum local storage per VM.

vmCount

integer

Optional. Vm count per database.

state

enum (State)

Output only. State of the database server.

dbNodeIds[]

string

Output only. OCID of database nodes associated with the database server.

State

The various lifecycle states of the database server.

Enums
STATE_UNSPECIFIED Default unspecified value.
CREATING Indicates that the resource is in creating state.
AVAILABLE Indicates that the resource is in available state.
UNAVAILABLE Indicates that the resource is in unavailable state.
DELETING Indicates that the resource is in deleting state.
DELETED Indicates that the resource is in deleted state.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌